###
Module dependencies
###

redirect = (res, redirectUrl, previousUrl) ->
  throw new Error '"res" parameter is required' if not res?
  throw new Error '"redirectUrl" parameter is required' if not redirectUrl?

  res.statusCode = 302

  if previousUrl?
    res.setHeader 'Location', redirectUrl + "?previousUrl=" + previousUrl
  else
    res.setHeader 'Location', redirectUrl

  res.end()

module.exports = redirect